import os
import sys


__version__ = '3.0.0'
__author__ = 'Gummbum, (c) 2017'
__vernum__ = tuple(int(s) for s in __version__.split('.'))


appdir = os.path.abspath(os.path.dirname(__file__))
os.chdir(appdir)
for d in ((appdir, 'gamelib'), (appdir, 'gamelib', 'skel')):
    if d not in sys.path:
        sys.path.insert(0, os.path.join(*d))

import pipestdio
pipestdio.stdout.to_devnull()
pipestdio.stderr.to_logfile('errors.log')

import main
main.main()
